Typescript (SDK)
import { Crevio } from "@crevio/sdk";
const crevio = new Crevio({
apiKey: process.env["CREVIO_API_KEY"] ?? "",
});
async function run() {
const result = await crevio.domains.deleteZoneRecord({
id: "<id>",
recordId: "<id>",
});
console.log(result);
}
run();curl --request DELETE \
--url https://api.crevio.co/v1/domains/{id}/zone-records/{record_id} \
--header 'Authorization: <api-key>'import requests
url = "https://api.crevio.co/v1/domains/{id}/zone-records/{record_id}"
headers = {"Authorization": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: '<api-key>'}};
fetch('https://api.crevio.co/v1/domains/{id}/zone-records/{record_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"object": "dns_record",
"deleted": true
}{
"error": {
"type": "invalid_request_error",
"code": "authentication_required",
"message": "You did not provide an API key."
}
}{
"error": {
"type": "invalid_request_error",
"code": "resource_missing",
"message": "The requested resource was not found"
}
}{
"error": {
"type": "validation_error",
"code": "validation_failed",
"message": "Email is required",
"errors": {
"email": [
"can't be blank"
]
}
}
}Domains
Delete a DNS zone record
Removes a DNS record from a Crevio-registered domain’s zone. The apex/www routing records that keep the site online are protected and cannot be deleted here. Deleting a record Crevio did not create requires acknowledge_unowned: true.
DELETE
/
domains
/
{id}
/
zone-records
/
{record_id}
Typescript (SDK)
import { Crevio } from "@crevio/sdk";
const crevio = new Crevio({
apiKey: process.env["CREVIO_API_KEY"] ?? "",
});
async function run() {
const result = await crevio.domains.deleteZoneRecord({
id: "<id>",
recordId: "<id>",
});
console.log(result);
}
run();Authorizations
API key in the format: Bearer {api_token}
Path Parameters
The resource ID (e.g., "prod_abc123") or slug (e.g., "my-product")
ID of the DNS record to delete.
Query Parameters
Required to delete a record that was not created by Crevio.
Was this page helpful?
⌘I

